Categories:
  - Graphics
  - Multimedia
License: MIT
SourceCode: https://github.com/the3deers/android-3D-model-viewer
IssueTracker: https://github.com/the3deers/android-3D-model-viewer/issues
Changelog: https://github.com/the3deers/android-3D-model-viewer/releases

AutoName: 3D Model Viewer
Description: |-
    Load 3D models and see how to do it with this open source
    code application.

    Features:
    * Supports >= Android 4.0.1 (Ice Cream Sandwich) - Min API Level 14 -> Target API Level 28
    * OpenGL ES 2.0 API
    * Formats: OBJ (wavefront), STL (STereoLithography) & DAE (Collada-BETA)
    * Calculation of normals
    * Transformations: scaling, rotation, translation
    * Colors
    * Textures
    * Lighting
    * Wireframe + points mode
    * Holes
    * Smoothing
    * Bounding box
    * Skybox
    * Object pick
    * Skeletal animations (collada dae)
    * Ray collision detection
    * Stereoscopic 3D: anaglyph + cardboard

    Camera support:
    * Tap to select object
    * Drag to move camera
    * Rotate with 2 fingers to rotate camera
    * Pinch & spread to zoom in/out the camera

    Other:
    * Texture loader
    * Lightweight: only 1 Megabyte
    * File explorer

RepoType: git
Repo: https://github.com/the3deers/android-3D-model-viewer

Builds:
  - versionName: 3.0.4
    versionCode: 28
    commit: 3.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.0
    versionCode: 31
    commit: e76de8a47d111add1a1cb2d2b6acc0f763d595f3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    scanignore:
      - models/parts/parts.index.icons.zip

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.2.0
CurrentVersionCode: 31
